Bug 1301748 - Review Request: pulp-ostree - Support for pulp-ostree content in the Pulp platform
Review Request: pulp-ostree - Support for pulp-ostree content in the Pulp pla...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 16:52 EST by Patrick Creech
Modified: 2016-01-28 14:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 14:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Patrick Creech 2016-01-25 16:52:57 EST
Spec URL: pulp-ostree.spec
SRPM URL: https://pcreech17.fedorapeople.org/packages/pulp-ostree/pulp-ostree-1.1.0-0.3.beta.1.fc24.src.rpm
Description: Provides a collection of Pulp platform plugins and client extensions support for OSTree
Fedora Account System Username: pcreech17
Comment 2 Upstream Release Monitoring 2016-01-26 10:33:15 EST
pcreech17's scratch build of pulp-ostree-1.1.0-0.3.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12690735
Comment 3 Randy Barlow 2016-01-26 12:58:50 EST
There is one thing that needs to be fixed, and the other is optional so up to you.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== rbarlow nitpicks =====
These are optional to fix, but things I recommend.

[!]: Consider putting two spaces between sections. I.e., add another space
     before the %build section so that it's more visually separated.


===== MUST items =====

Generic:
[!]: You are depending on rpm-python, but that is not actually the package
     you are using. I think you want python-rpm-macros and
     python2-rpm-macros instead. You also may not need python2-devel, as
     I don't believe there is any C code in here.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 39 files have unknown license. Detailed
     output of licensecheck in /home/rbarlow/1301748-pulp-
     ostree/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pulp-
     ostree-admin-extensions , pulp-ostree-doc , pulp-ostree-plugins ,
     python2-pulp-ostree-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pulp-ostree-admin-extensions-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-doc-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-plugins-1.1.0-0.3.beta.1.fc24.noarch.rpm
          python2-pulp-ostree-common-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-1.1.0-0.3.beta.1.fc24.src.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
4 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
pulp-ostree-plugins (rpmlib, GLIBC filtered):
    config(pulp-ostree-plugins)
    pulp-server
    python(abi)
    python2-pulp-ostree-common

python2-pulp-ostree-common (rpmlib, GLIBC filtered):
    python(abi)
    python2-pulp-common
    python2-setuptools

pulp-ostree-doc (rpmlib, GLIBC filtered):

pulp-ostree-admin-extensions (rpmlib, GLIBC filtered):
    pulp-admin-client
    python(abi)
    python2-pulp-ostree-common



Provides
--------
pulp-ostree-plugins:
    config(pulp-ostree-plugins)
    pulp-ostree-plugins

python2-pulp-ostree-common:
    python-pulp-ostree-common
    python2-pulp-ostree-common

pulp-ostree-doc:
    pulp-ostree-doc

pulp-ostree-admin-extensions:
    pulp-ostree-admin-extensions



Source checksums
----------------
https://github.com/pulp/pulp_ostree/archive/pulp-ostree-1.1.0-0.3.beta.tar.gz :
  CHECKSUM(SHA256) this package     : b8481ddfe4178046fa21d9ea759a71b7b79b342e508f9c6f0a86e13d6bd1674f
  CHECKSUM(SHA256) upstream package : b8481ddfe4178046fa21d9ea759a71b7b79b342e508f9c6f0a86e13d6bd1674f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1301748
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Patrick Creech 2016-01-26 15:33:09 EST
> ===== rbarlow nitpicks =====
> These are optional to fix, but things I recommend.
>
>[!]: Consider putting two spaces between sections. I.e., add another space
>     before the %build section so that it's more visually separated.

I have added an extra newline between all sections


>===== MUST items =====
>
>Generic:
>[!]: You are depending on rpm-python, but that is not actually the package
>     you are using. I think you want python-rpm-macros and
>     python2-rpm-macros instead. You also may not need python2-devel, as
>     I don't believe there is any C code in here.

I switched to python2-rpm-macros instead of rpm-python.  I was unable to remove python2-devel, as that was breaking fedora-review.  (I assume some macro is defined in there)
Comment 5 Randy Barlow 2016-01-27 13:48:16 EST
Hello Patrick! I'm sorry to say that I just learned that depending on python2-devel is better than depending on the macros themselves, as it is recommended in the Python packaging guidelines:

https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

I bet the macro you were missing was provided by python-rpm-macros (you do actually need both python- and python2- variants of that package). However, python2-devel will automatically pull both of those in, so I am changing my recommendation to just depending on python2-devel and leaving off the macro packages.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 39 files have unknown license. Detailed
     output of licensecheck in /home/rbarlow/1301748-pulp-
     ostree/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

rbarlow:
[!]: Consider dropping the BR on python2-rpm-macros, even though I
     suggested it in the first place ☺

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pulp-
     ostree-admin-extensions , pulp-ostree-doc , pulp-ostree-plugins ,
     python2-pulp-ostree-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pulp-ostree-admin-extensions-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-doc-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-plugins-1.1.0-0.3.beta.1.fc24.noarch.rpm
          python2-pulp-ostree-common-1.1.0-0.3.beta.1.fc24.noarch.rpm
          pulp-ostree-1.1.0-0.3.beta.1.fc24.src.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
4 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
pulp-ostree-plugins (rpmlib, GLIBC filtered):
    config(pulp-ostree-plugins)
    pulp-server
    python(abi)
    python2-pulp-ostree-common

python2-pulp-ostree-common (rpmlib, GLIBC filtered):
    python(abi)
    python2-pulp-common
    python2-setuptools

pulp-ostree-doc (rpmlib, GLIBC filtered):

pulp-ostree-admin-extensions (rpmlib, GLIBC filtered):
    pulp-admin-client
    python(abi)
    python2-pulp-ostree-common



Provides
--------
pulp-ostree-plugins:
    config(pulp-ostree-plugins)
    pulp-ostree-plugins

python2-pulp-ostree-common:
    python-pulp-ostree-common
    python2-pulp-ostree-common

pulp-ostree-doc:
    pulp-ostree-doc

pulp-ostree-admin-extensions:
    pulp-ostree-admin-extensions



Source checksums
----------------
https://github.com/pulp/pulp_ostree/archive/pulp-ostree-1.1.0-0.3.beta.tar.gz :
  CHECKSUM(SHA256) this package     : b8481ddfe4178046fa21d9ea759a71b7b79b342e508f9c6f0a86e13d6bd1674f
  CHECKSUM(SHA256) upstream package : b8481ddfe4178046fa21d9ea759a71b7b79b342e508f9c6f0a86e13d6bd1674f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1301748
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Patrick Creech 2016-01-27 15:28:41 EST
> rbarlow:
> [!]: Consider dropping the BR on python2-rpm-macros, even though I
>      suggested it in the first place ☺

Dropped the BR from python2-rpm-macros
Comment 7 Gwyn Ciesla 2016-01-28 11:24:09 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pulp-ostree

Note You need to log in before you can comment on or make changes to this bug.